
<div class="user">
	<SitePanel :title="'Профиль сотрудника'"/>
	<div class="profile" v-if="dataReady"> 
		<div class="card">
			<div class="card-avatar" :style="(data.photoUrl) ? 'background-image: url('+ data.photoUrl +')' : ''"/>
			<div class="card-info">
				<div class="card-name">{{data.surname}} {{data.name}} {{data.patronymic}}</div>
				<div class="card-contact">
					<div>{{data.phone}}</div>
					<a :href="'mailto:'+data.email">{{data.email}}</a>
				</div>
				<div class="card-tasks">
					<img class="card-icon" src="/assets/svg/today.svg" />
					<div class="card-counter">{{countOk}}/{{countAll}}</div>
				</div>
			</div>
			<div class="card-info" style="margin-left: 80px;">
				<div class="card-name">Дополнительная информация</div>
				<div class="card-contact">
					<div>ID в системе: {{data.id}}</div>
					<div>Должность: {{data.role.name}}</div>
					<div v-if="data.birthday">День рождения: {{getTime(data.birthday)}}</div>
					<div>Логин в системе: {{data.login}}</div>
				</div>
			</div>
		</div>
		
		<div class="section-row">
			<div class="section-title">Объекты проверок</div>
			<div class="section-button">СФОРМИРОВАТЬ ПРЕЗЕНТАЦИЮ
			</div>
		</div>
		
		<div class="table-header table-row">
			<div class="table-cell a"><img src="/assets/svg/checkout.svg"></div>
			<div class="table-cell b">НОМЕР</div>
			<div class="table-cell c">Адрес</div>
			<div class="table-cell d">КАТЕГОРИЯ</div>
			<div class="table-cell e">КОНТРАКТ</div>
			<div class="table-cell f">СДАЧА</div>
			<div class="table-cell g">ИНСПЕКТОР</div>
			<div class="table-cell h">РЕЗУЛЬТАТ ПРОВЕРКИ</div>
	
		</div>
		<div class="table-row" v-for="item in tasksDaya" v-if="userId == item.userId" :key="item.id">
			<div class="table-cell a"><img src="/assets/svg/checkin.svg"></div>
			<div class="table-cell b"><router-link :to="{path: '/today/'+item.id}">{{item.id}}</router-link></div>
			<div class="table-cell c" v-if="item.addressId !== 0">{{item.address.city}}, {{item.address.street}}, {{item.address.house}}</div>
			<div class="table-cell c" v-else>не указан</div>
			<div class="table-cell d" v-if="item.taskCategoryId !== 0 && item.taskCategory">{{item.taskCategory.description}}</div>
			<div class="table-cell d" v-else>не задан</div>
			<div class="table-cell e">{{item.contractId}}</div>
			<div class="table-cell f" v-if="item.endDateTime">{{getTime(item.endDateTime)}}</div>
			<router-link :to="{path: '/users/'+item.userId}" class="table-cell g" v-if="item.userId !== 0">{{getName(item.user.surname, item.user.name, item.user.patronymic)}}</router-link>
			<div class="table-cell g" v-else>Не назначен</div>
			<div class="table-cell h" v-if="item.taskStatusId !== 0">{{item.taskStatus.name}}</div>
			<div class="table-cell h" v-else>не задан</div>
			
		</div>
		
		
	</div>
</div>